package bus.service;

import bus.model.dto.BRegionDto;
import bus.model.dto.BRegionPageDto;
import bus.model.vo.BRegionVo;
import bus.model.po.BRegionPo;
import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-01 18:02:30
 **/
public interface BRegionService {


    /**
     * 详情
     * @param id
     * @return
     */
    BRegionPo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BRegionDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BRegionDto> list(BRegionPageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BRegionDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);


}
